﻿'***************************************************************************************************
'   枠線の色を変えられるグループボックス２                 ColoredGroupBox2(UserControl)
'
'   作成者:井上治  URL:https://www.ne.jp/asahi/excel/inoue/ [Excelでお仕事!]
'***************************************************************************************************
'   ※本コントロールは細いラベルを4辺に配置してBorderに見せています
'***************************************************************************************************
' 変更日付 Rev     変更履歴内容-------------------------------------------------------------------->
' 18/05/27(1.0.0.0)新規作成
'***************************************************************************************************
Public Class ColoredGroupBox2

    '***********************************************************************************************
    '   ■■■ プロパティ
    '***********************************************************************************************
    '   枠線色(Color)
    '-----------------------------------------------------------------------------------------------
    <System.ComponentModel.DefaultValue("")> _
    Public Property BorderColor() As Color
        Get
            Return Me.LBL_TOP.BackColor
        End Get
        Set(ByVal value As Color)
            Me.LBL_TOP.BackColor = value
            Me.LBL_LEFT.BackColor = value
            Me.LBL_RIGHT.BackColor = value
            Me.LBL_BOTTOM.BackColor = value
        End Set
    End Property

    '===============================================================================================
    '   背景色(Color)
    '-----------------------------------------------------------------------------------------------
    Public Shadows Property BackColor() As Color
        Get
            Return CType(Me, Panel).BackColor
        End Get
        Set(ByVal value As Color)
            CType(Me, Panel).BackColor = value
        End Set
    End Property

    '===============================================================================================
    '   フォント(Font)
    '-----------------------------------------------------------------------------------------------
    Public Shadows Property Font() As Font
        Get
            Return CType(Me, Panel).Font
        End Get
        Set(ByVal value As Font)
            CType(Me, Panel).Font = value
            Me.LBL_TITLE.Font = value
            Me.Padding = New Padding(0, Me.LBL_TITLE.Height / 2, 0, 0)
        End Set
    End Property

    '===============================================================================================
    '   文字色(Color)
    '-----------------------------------------------------------------------------------------------
    Public Shadows Property ForeColor() As Color
        Get
            Return CType(Me, Panel).ForeColor
        End Get
        Set(ByVal value As Color)
            CType(Me, Panel).ForeColor = value
            Me.LBL_TITLE.ForeColor = value
        End Set
    End Property

    '===============================================================================================
    '   タイトルフォント(Font)
    '-----------------------------------------------------------------------------------------------
    <System.ComponentModel.DefaultValue("")> _
    Public Property TitleFont() As Font
        Get
            Return Me.LBL_TITLE.Font
        End Get
        Set(ByVal value As Font)
            Me.LBL_TITLE.Font = value
            Me.Padding = New Padding(0, Me.LBL_TITLE.Height / 2, 0, 0)
        End Set
    End Property

    '===============================================================================================
    '   タイトル文字色(Color)
    '-----------------------------------------------------------------------------------------------
    <System.ComponentModel.DefaultValue("")> _
    Public Property TitleForeColor() As Color
        Get
            Return Me.LBL_TITLE.ForeColor
        End Get
        Set(ByVal value As Color)
            Me.LBL_TITLE.ForeColor = value
        End Set
    End Property

    '===============================================================================================
    '   タイトル文字列(String)
    '-----------------------------------------------------------------------------------------------
    <System.ComponentModel.DefaultValue("")> _
    Public Property TitleText() As String
        Get
            Return Me.LBL_TITLE.Text
        End Get
        Set(ByVal value As String)
            Me.LBL_TITLE.Text = value
        End Set
    End Property

    '---------------------------------------<< End of Source >>-------------------------------------
End Class
